function AlertProjName(Sender) {
  alert(Script.ProjectSettings.SelectedProjectName);
}

function AlertProjRoot(Sender) {
  alert(Script.ProjectSettings.SelectedProjectRoot);
}

function AlertProjFiles(Sender) {
  var s = "Open project files:" + chr(13) + chr(10);
  var projroot = Lowercase(Script.ProjectSettings.SelectedProjectRoot);
  var c = Documents.Count;
  for (var i = 0; i < c; i++) {
    doc = Documents.Tab[i];
    var fname = doc.FileName;
    if (Lowercase(copy(fname, 1, Length(projroot))) == projroot) {
      s = s + fname + chr(13) + chr(10);
    }
  }
  alert(s);
}


function OnLeavingProject() {
  alert("About to close project: " + Script.ProjectSettings.SelectedProjectName);
}

function OnSelectedProject() {
  alert("Selected project: " + Script.ProjectSettings.SelectedProjectName);
}


Script.RegisterAction("Project Management Test", "Alert Current Project Name", "", &AlertProjName);
Script.RegisterAction("Project Management Test", "Alert Current Project Root", "", &AlertProjRoot);
Script.RegisterAction("Project Management Test", "Alert Open Files for Current Project", "", &AlertProjFiles);

Script.ConnectSignal("project_before_select", &OnLeavingProject);
Script.ConnectSignal("project_after_select", &OnSelectedProject);